Issue 126567 - Update copyright year
Summary: Update copyright year
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: legal (show other issues)
Version: 4.1.2-dev
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.2
Assignee: Andrea Pescetti
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-04 21:01 UTC by Andrea Pescetti
Modified: 2015-10-23 17:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
pescetti: 4.1.2_release_blocker+


Attachments
Update year from 2014 to 2015 (651 bytes, patch)
2015-10-04 22:05 UTC, Andrea Pescetti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2015-10-04 21:01:26 UTC
The About box still contains

Copyright © 2014 The Apache Software Foundation.

This must clearly be updated to 2015, since OpenOffice 4.1.2 will be released in 2015.

A long discussion is available at https://bz.apache.org/ooo/show_bug.cgi?id=122265 ; it seems that the year should be automatically updated, but it's clear it isn't.
Comment 1 Andrea Pescetti 2015-10-04 22:05:43 UTC
Created attachment 84976 [details]
Update year from 2014 to 2015

The current strange logic in cui/source/dialogs/about.cxx is: if the vendor is the ASF, use the hardcoded value in the file; otherwise use the automatically computed one.

There might be legal reasons for it according to the discussion in the issue mentioned above, but still it looks like this should be improved.

The attached patch does the minimal update needed to bump the copyright year, just like revision 1573599 updated it for 2014.
Comment 2 Andrea Pescetti 2015-10-07 22:03:39 UTC
Note: apparently the bot did not list the commits here, but this (for the About box) is fixed on trunk

http://svn.apache.org/viewvc?view=revision&revision=1707175

and on AOO410 for OpenOffice 4.1.2:

http://svn.apache.org/viewvc?view=revision&revision=1707176
Comment 3 Andrea Pescetti 2015-10-07 22:11:50 UTC
Another file needs to be updated, namely main/LICENSE_ALv2.

The relevant commits are revision 1707408 (trunk) and revision 1707409 (AOO410).

All changes are now merged, no other work remains for 4.1.2 as far as this issue is concerned.
Comment 4 Andrea Pescetti 2015-10-17 21:58:22 UTC
To verify: Just open Help - About and check that the displayed year is 2015, in "Copyright 2015".
Comment 5 Andrea Pescetti 2015-10-19 07:42:23 UTC
Reopening for a trivial fix that still needs to be done: the NOTICE file must be updated too.
Comment 6 Andrea Pescetti 2015-10-19 08:31:19 UTC
The fix to the NOTICE file, to be merged to AOO410, is revision 1709377.
Comment 7 Andrea Pescetti 2015-10-19 12:52:01 UTC
the NOTICE file fix was merged to AOO410 for OpenOffice 4.1.2-RC3 with revision 1709406.
Comment 8 Pedro 2015-10-23 17:06:06 UTC
Verified that it is fixed in

AOO412m3(Build:9782)  -  Rev. 1709696
2015-10-21 09:53:29 (Mi, 21 Okt 2015)

under Windows XP Pro x86 SP3